# streamWrapper::stream_cast

(PHP 5 >= 5.3.0, PHP 7)

streamWrapper::stream_cast — Retrieve the underlaying resource

### Description

public streamWrapper::stream_cast ( int `$cast_as` ) : resource

This method is called in response to stream_select().

### Parameters

`cast_as`

  Can be `STREAM_CAST_FOR_SELECT` when stream_select() is calling stream_cast() or `STREAM_CAST_AS_STREAM` when stream_cast() is called for other uses.

### Return Values

Should return the underlying stream resource used by the wrapper, or `FALSE`.

### See Also

- stream_select() - Runs the equivalent of the select() system call on the given arrays of streams with a timeout specified by tv_sec and tv_usec